<?php

require_once __DIR__."/../vendor/autoload.php";

$start = 0x2500;
$tables = 3;
$rows = 32;

$psize = $rows * 16;

for ($n = 0; $n < $tables; $n++) {
    echo "\e[7m        ";
    for ($x = 0; $x < 16; $x++) {
        printf(" %x ", $x);
    }
    echo "\e[0m  ";
}
echo "\n";

for($y = 0; $y < $rows; $y++) {

    for ($n = 0; $n < $tables; $n++) {
        $base = ($start + ($n * $psize) + $y * 16);
        printf("\e[7m 0x%04x \e[0m", $base);
        for ($x = 0; $x < 16; $x++) {
            $ent = $base + $x;
            printf(" %s ", uchr($ent));
        }
        echo "  ";
    }

    echo "\n";

}
